summaryrefslogtreecommitdiff
path: root/scripts/diffcheck.sh
diff options
context:
space:
mode:
authorAva Chow <github@achow101.com>2024-04-24 19:11:06 -0400
committerAva Chow <github@achow101.com>2024-05-01 17:02:06 -0400
commit98f000a6fb330ec8afa87bcb6ba0cad20c7552f2 (patch)
treeb72ed72c1cf534566957595bf9129785f7c0004d /scripts/diffcheck.sh
parenteb9007c8690436ea4a60189ab32e36686007e32c (diff)
downloadbips-98f000a6fb330ec8afa87bcb6ba0cad20c7552f2.tar.xz
diffchecks.sh: Make success clear and exit with failure on error
Diffstat (limited to 'scripts/diffcheck.sh')
-rwxr-xr-xscripts/diffcheck.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/diffcheck.sh b/scripts/diffcheck.sh
index 3d8a9e5..aa9f557 100755
--- a/scripts/diffcheck.sh
+++ b/scripts/diffcheck.sh
@@ -9,6 +9,8 @@ if git checkout HEAD^ && scripts/buildtable.pl >/tmp/table.mediawiki 2>/dev/null
echo "$newdiff"
exit 1
fi
+ echo "README table matches expected table from BIP files"
else
echo 'Cannot build previous commit table for comparison'
+ exit 1
fi